cURL
curl --request GET \ --url https://api.getstrada.com/api/calls/{callId} \ --header 'Authorization: Bearer <token>'
{ "call": { "callId": "<string>", "agentId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "status": "queued", "type": "inboundPhoneCall", "campaignName": "<string>", "startedAt": "2023-11-07T05:31:56Z", "recordingUrl": "<string>", "endedAt": "2023-11-07T05:31:56Z", "endedBy": "Agent ended the call", "customerNumber": "<string>", "endedReason": "<string>", "summary": "<string>", "analysis": {}, "transcript": [ { "role": "bot", "message": "<string>", "secondsFromStart": 123, "time": "<string>", "endTime": "<string>", "duration": 123, "name": "<string>", "result": {}, "toolCall": {} } ], "url": "<string>", "callVariables": {}, "phoneNumber": "<string>", "campaignParentCallIds": [ "<string>" ], "transferDestination": "<string>" } }
Retrieve details for a specific call by ID
Documentation IndexFetch the complete documentation index at: https://docs.getstrada.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.getstrada.com/llms.txt
Use this file to discover all available pages before exploring further.
API Key authentication
ID of the call to retrieve
Successfully retrieved call
Show child attributes
Was this page helpful?